Update Assessment Order
Partner Restricted
All assessment API endpoints are restricted to assessment providers that have signed a Paylocity technology partnership agreement. Please reach out to Techpartnerships@paylocity.com if you would like to discuss partnership opportunities.
Summary Description
This endpoint updates the Assessment Order status for the given companyId and OrderId. The patch operation on the candidate status endpoint allows you to update the status of the overall assessment order (package) and the related tests. You can also send the URL where the PCTY user can view the complete assessment result.
Use Cases
- Customizable Endpoints: The Partner would use this to provide a general endpoint for all Paylocity clients by specifying b6001
- Notification Management: The Partner would use this endpoint to receive notifications about new orders, errors, and job creation events
- Please note: When using the ‘Complete’ statuses (Complete, Complete- Review, Expired) on Assessment level, all tests statuses must be in a ‘Complete’ status as well (Complete, Retest Recommended, Expired). See the Order Overview page for more information
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
companyId
orderId
Headers
testMode
If true all responses are mocked and generated randomly.
Accept
Request
This endpoint expects an object.
Response
Successful response